package org.ntlab.radishforandroidstudio.cactusClient.models;

import java.net.URI;

public class URIAddressedAccount{
    private URI uri;
    private Account account;

    private URIAddressedAccount() {
        // JSONDecode時の呼び出し用
    }

    public URIAddressedAccount(URI uri, Account body) {
        setAccount(body);
        setUri(uri);
    }

    public URIAddressedAccount(String str, Account body) {
        setAccount(body);
        setUri(URI.create(str));
    }

    public URI getUri() {
        return uri;
    }

    public void setUri(URI uri) {
        this.uri = uri;
    }

    public Account getAccount() {
        return account;
    }

    public void setAccount(Account account) {
        this.account = account;
    }

}